OGRE: Ogre::Sphere Class Reference

| OGRE 2.2.4 Object-Oriented Graphics Rendering Engine

Public Member Functions | List of all members
Ogre::Sphere Class Reference
Core » Math

A sphere primitive, mostly used for bounds checking. More...

`#include <OgreSphere.h>`

## Public Member Functions
| Sphere ()
| Standard constructor - creates a unit sphere around the origin. More...
| Sphere (const Vector3 &center, Real radius)
| Constructor allowing arbitrary spheres. More...
const Vector3 & | getCenter (void) const
| Returns the center point of the sphere. More...
Real | getRadius (void) const
| Returns the radius of the sphere. More...
bool | intersects (const AxisAlignedBox &box) const
| Returns whether or not this sphere intersects a box. More...
bool | intersects (const Plane &plane) const
| Returns whether or not this sphere intersects a plane. More...
bool | intersects (const Sphere &s) const
| Returns whether or not this sphere intersects another sphere. More...
bool | intersects (const Vector3 &v) const
| Returns whether or not this sphere intersects a point. More...
void | merge (const Sphere &oth)
| Merges another Sphere into the current sphere. More...
void | setCenter (const Vector3 &center)
| Sets the center point of the sphere. More...
void | setRadius (Real radius)
| Sets the radius of the sphere. More...

## Detailed Description

A sphere primitive, mostly used for bounds checking.

Remarks
  A sphere in math texts is normally represented by the function x^2 + y^2 + z^2 = r^2 (for sphere's centered on the origin). Ogre stores spheres simply as a center point and a radius.

## Constructor & Destructor Documentation

## ◆ Sphere() [1/2]

Ogre::Sphere::Sphere | ( |  | ) |
| inline

Standard constructor - creates a unit sphere around the origin.

## ◆ Sphere() [2/2]

Ogre::Sphere::Sphere | ( | const Vector3 & | center,
|  | Real | radius
| ) |  |
| inline

Constructor allowing arbitrary spheres.

Parameters

  center | The center point of the sphere.
  radius | The radius of the sphere.

## Member Function Documentation

## ◆ getCenter()

const Vector3& Ogre::Sphere::getCenter | ( | void |  | ) | const
| inline

Returns the center point of the sphere.

Referenced by Ogre::PlaneBoundedVolume::intersects(), merge(), Ogre::ArraySphere::setAll(), and Ogre::ArraySphere::setFromSphere().

## ◆ getRadius()

Real Ogre::Sphere::getRadius | ( | void |  | ) | const
| inline

Returns the radius of the sphere.

Referenced by Ogre::PlaneBoundedVolume::intersects(), merge(), Ogre::ArraySphere::setAll(), and Ogre::ArraySphere::setFromSphere().

## ◆ intersects() [1/4]

bool Ogre::Sphere::intersects | ( | const AxisAlignedBox & | box | ) | const
| inline

Returns whether or not this sphere intersects a box.

References Ogre::Math::intersects().

## ◆ intersects() [2/4]

bool Ogre::Sphere::intersects | ( | const Plane & | plane | ) | const
| inline

Returns whether or not this sphere intersects a plane.

References Ogre::Math::intersects().

## ◆ intersects() [3/4]

bool Ogre::Sphere::intersects | ( | const Sphere & | s | ) | const
| inline

Returns whether or not this sphere intersects another sphere.

References Ogre::Math::Sqr().

## ◆ intersects() [4/4]

bool Ogre::Sphere::intersects | ( | const Vector3 & | v | ) | const
| inline

Returns whether or not this sphere intersects a point.

References Ogre::Math::Sqr().

## ◆ merge()

void Ogre::Sphere::merge | ( | const Sphere & | oth | ) |
| inline

Merges another Sphere into the current sphere.

References getCenter(), getRadius(), Ogre::Math::Sqr(), Ogre::Math::Sqrt(), and Ogre::Vector3::squaredLength().

## ◆ setCenter()

void Ogre::Sphere::setCenter | ( | const Vector3 & | center | ) |
| inline

Sets the center point of the sphere.

Referenced by Ogre::ArraySphere::getAsSphere().

## ◆ setRadius()

void Ogre::Sphere::setRadius | ( | Real | radius | ) |
| inline

Sets the radius of the sphere.

Referenced by Ogre::ArraySphere::getAsSphere().

The documentation for this class was generated from the following file:

- OgreSphere.h